test
Read

test

by Facciolini

USING THE FOTOLIA CS EXTENSION SOFTWARE PREREQUISITES The Fotolia CS Extension requires one or more of the following Adobe Creative Suite programs, running on Windows or Mac OS: • Adobe Photoshop CS5 or CS5. 5 • Adobe Illustrator CS5 or CS5. 5 • Adobe... More

Read the publication